    # File lib/facets/core/kernel/set_from.rb, line 22
      def set_from(obj, *fields)
        unless fields.empty?
          fields.each do |k|
            send( "#{k}=", obj.send("#{k}") )  #if self.respond_to?("#{k}=") && obj.respond_to?("#{k}")
          end
        else
          setters = methods.collect { |m| m =~ /=$/ }
          setters.each do |setter|
            getter = setter.chomp('=')
            if obj.respond_to?(getter)
              send( setter, obj.send(getter) )
              fields < getter
            end
          end
        end
        fields
      end